OpenVZ Forum


Home » General » Discussions » Kernel 2.6.27-briullov with CAOS 2.0 (Kernel panic using JFS filesystem)
Kernel 2.6.27-briullov with CAOS 2.0 [message #39691] Mon, 24 May 2010 00:14 Go to next message
lars.bailey is currently offline  lars.bailey
Messages: 38
Registered: April 2010
Member
From: *dsl.wotnoh.sbcglobal.net
I am currently testing the CAOS 2.0 LINUX distribution for possible deployment.
I currently run kernel 2.6.27-briullov on a Fedora Core 9 test Node server,using the XFS filesystem for "/" and the "/vz" partition,with two spanned swap partitions,without any problems.
The CAOS Linux distribution,is REDHAT based,using a 2.6.16 kernel. As a note,this is an enterprise level OS,and was created by the same development team for CENTOS 5.x.
It is setup basically the same as the FC9 server,except I used JFS.
When booting up this OVZ kernel on CAOS 2.0,I get this;

Creating device nodes
Loading jfs.ko module JFS:ntx Block=1981,nTxblock=15848
error:qoute mismatch for checking suspend 2 resume
echo "">/proc/suspend2/do_resume
echo Creating root device
mkrootdev /dev/root
echo Mounting root filesystem
mount -0 defaults --ro -t jfs /dev/root /sys/root
echo Switching to new root
switchroot --movedev/sysroot
echo:cannot open /proc/suspend2/do_resume for write:2
Creating root device
Mounting root filesystem
mount:error 6 mounting jfs
Switching to new root
Error opening /dev/console !!!!:2
Kernel panic-not syncing:
Attempted to kill init!

At first,I thought it maybe the filesystem type(JFS),but it does
not matter if I use JFS,XFS,or EXT3 with this kernel on CAOS.
My guess is,that its has to do with with "switching" of root
filesystems,as I have never have run across this in a "dmesg".
The distribution is currently installed as a Clustered LAMP server.(I want to make a template cache out of this image)
I do not think this makes any difference,but I am also not a
kernel expert.
If anyone can give me some direction to go,I would appreciate the
imput.
As another note,this same kernel ran on our old CENTOS 5.5 nodes.

CAOS 2.0 - original kernel branch 2.6.16.x
upgrades to 2.6.16.116
Re: Kernel 2.6.27-briullov with CAOS 2.0 [message #39698 is a reply to message #39691] Tue, 25 May 2010 00:03 Go to previous message
lars.bailey is currently offline  lars.bailey
Messages: 38
Registered: April 2010
Member
From: *dsl.wotnoh.sbcglobal.net
I fixed my own problem,by moving off of CAOS 2.0,to CAOS NSA 1.0
This put me in the range of 2.6.26 revision levels,instead of 2.6.16.
Although,the 2.6.27 "briullov" kernel did not install on NSA 1.0,it did reduce the DMESG errors down to a missing module.
I simply downloaded a vanilla kernel (2.6.27),and added the Briullov patch.
Previous Topic: Globally connected VE containers
Next Topic: OpenVZ vs Anything Else
Goto Forum:
  


Current Time: Thu Oct 18 11:07:00 GMT 2018